package benefactorkindboxservice

import (
	"context"

	entity "git.gocasts.ir/ebhomengo/niki/entity"
	params "git.gocasts.ir/ebhomengo/niki/param"
)

type Repository interface {
	GetAllKindBox(ctx context.Context, filter params.FilterRequest, pagination params.PaginationRequest, sort params.SortRequest) ([]entity.KindBox, uint, error)
	GetKindBox(ctx context.Context, kindBoxID uint) (entity.KindBox, error)
	RegisterEmptyingRequestForKindBox(ctx context.Context, kindBox entity.KindBox) error
}

type Service struct {
	repo Repository
}

func New(repository Repository) Service {
	return Service{
		repo: repository,
	}
}
